# coding=utf-8
# Copyright 2016 Flowdas Inc. <prospero@flowdas.com>
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
import sys

__all__ = [
    'PY2',
    'PY3',
    'bytes_type',
    '_S',
    '_B',
    'reraise',
]

PY2 = sys.version_info[0] == 2
PY3 = sys.version_info[0] == 3

if PY3:
    bytes_type = bytes  # WSGI bytestrings


    def _S(b):
        return b.decode()


    def _B(s):
        return s.encode()


    def reraise(exc_info):
        raise exc_info[1].with_traceback(exc_info[2])

else:
    bytes_type = str  # WSGI bytestrings


    def _S(b):
        return b


    def _B(s):
        return s


    exec("""def reraise(exc_info):
    raise exc_info[0], exc_info[1], exc_info[2]
""")
